<% local form, viewlibrary, page_info, session = ... 
htmlviewfunctions = require("htmlviewfunctions")
html = require("acf.html")
%>

<script type="text/javascript">
	if (typeof jQuery == 'undefined') {
		document.write('<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"><\/script>');
	}
</script>

<script type="text/javascript">
        $(document).ready(function() {
		$(".deletepolicy").click(function(){ return confirm("Are you sure you want to delete this policy?")});
	});
</script>

<% htmlviewfunctions.displaycommandresults({"deletepolicy", "editpolicy", "viewpolicy", "enablepolicy", "disablepolicy", "startstop"}, session) %>
<% htmlviewfunctions.displaycommandresults({"createpolicy"}, session, true) %>

<h1>Policies</h1>
<DL>
<% if form.errtxt then %><P CLASS='error'><%= string.gsub(html.html_escape(form.errtxt), "\n", "<BR>") %></P><% end %>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Status</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Name</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">Description</TD>
	</TR>		
<% for i,pol in ipairs(form.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
			<%
			if viewlibrary.check_permission("deletepolicy") and pol.editable and pol.status ~= "enabled" and pol.status ~= "required" then io.write(html.link{value = "deletepolicy?submit=true&filename=" .. pol.filename, label="Delete ", class="deletepolicy" }) end
			if viewlibrary.check_permission("editpolicy") and pol.editable then io.write(html.link{value = "editpolicy?filename=" .. pol.filename.."&redir="..page_info.orig_action, label="Edit " }) end
			if viewlibrary.check_permission("viewpolicy") and not pol.editable and pol.filename then io.write(html.link{value = "viewpolicy?filename=" .. pol.filename.."&redir="..page_info.orig_action, label="View " }) end
			if viewlibrary.check_permission("enablepolicy") and (pol.status == "disabled" or pol.status == "required") then io.write(html.link{value = "enablepolicy?submit=true&name=" .. pol.name, label="Enable " }) end
			if viewlibrary.check_permission("disablepolicy") and pol.status == "enabled" then io.write(html.link{value = "disablepolicy?submit=true&name=" .. pol.name, label="Disable " }) end
			%>
		</TD>
		<TD style="white-space:nowrap;" width="90%"><%= html.html_escape(string.gsub(pol.status or "", "^%l", string.upper)) %></TD>
		<TD style="white-space:nowrap;" width="90%"><%= html.html_escape(pol.name) %></TD>
		<TD style="white-space:nowrap;" width="90%"><%= html.html_escape(pol.description) %></TD>
	</TR>
<% end %>
</TABLE></DL>

<% if viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("createpolicy") then
	viewlibrary.dispatch_component("createpolicy")
end %>

<% if viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("startstop") then
	viewlibrary.dispatch_component("startstop")
end %>
